<link rel="import" href="/components/common_styles.html">

<!--
  Discover module card.

  Attributes:
  * highlight - Switch card to 'highlight card' mode.

  Example:
    <discover-card>
      <div i18n-content="someText"></div>
    </discover-card>
-->
<dom-module id="discover-card">
  <template>
    <style include="oobe-common"></style>
    <link rel="stylesheet" href="discover_card.css">
    <div class="fit layout vertical center end-justified">
      <div id="background-container"
          class="fit layout horizontal center center-justified">
        <slot name="background"></slot>
      </div>
      <div id="gradient-container" class="fit layout vertical end-justified">
        <div id="gradient"></div>
      </div>
      <div id="label-container" class="layout horizontal center">
        <div id="icon">
          <slot name="icon"></slot>
        </div>
        <div id="title">
          <slot name="title"></slot>
        </div>
      </div>
    </div>
  </template>
</dom-module>
